package data;

import java.sql.Connection;

public interface DataProvider {
	public void connect();
	public void disconnect();
	public Connection getConnection();
	public <E> Mapper<E> getMapper(Class<E> c);
	
	public <E> E load(Class<E> c, Integer id);
	public void insert(Object o);
	public void update(Object o);
	public void delete(Object o);
}
